"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _default = (options = {}) => {
  // Work with options here
  return {
    postcssPlugin: "remove-empty-rules",

    Once(root) {
      let removed; // innefficient, but simple - keep repeating until there's been no changes

      do {
        removed = false;
        root.walkRules(rule => {
          if (rule.nodes.length === 0) {
            rule.remove();
            removed = true;
          }
        });
      } while (removed === true);
    }

  };
};

exports.default = _default;