"use strict";

var _stringifier = _interopRequireDefault(require("postcss/lib/stringifier"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// monkey patch postcss comments to ensure they remain inline
_stringifier.default.prototype.comment = function (node) {
  const left = this.raw(node, "left", "commentLeft");
  const right = this.raw(node, "right", "commentRight");

  if (node.raws.inline) {
    this.builder("//" + left + (node.raws.text || "") + right, node);
  } else {
    this.builder("/*" + left + node.text + right + "*/", node);
  }
};