"use strict";

require("./utils/allow-inline-comments");

var _npmlog = _interopRequireDefault(require("npmlog"));

var _yargs = _interopRequireDefault(require("yargs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-next-line no-unused-expressions
(0, _yargs.default)(process.argv.slice(2)).options({
  loglevel: {
    describe: "What level of logs to report.",
    type: "string",
    default: "info"
  }
}).middleware(argv => {
  _npmlog.default.level = argv.loglevel;
}).scriptName("scss-codemods").usage("$0 <cmd> <files...>").commandDir("./commands").demandCommand(1).help().argv;